## systemd-netlogd 1.4.2

=== debian/changelog ===
systemd-netlogd (1.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1086053)

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 26 Oct 2024 17:33:41 +0200

## systemd-netlogd 1.4.4

=== Makefile ===
all: build
	ninja -C build
.PHONY: all

build:
	meson setup build

clean:
	rm -rf build/
.PHONY: clean

install: build
	ninja -C build install
.PHONY: install

format:
	@for f in lib/*.[ch] tool/*.[ch]; do \
		echo $$f; \
		astyle --quiet --options=.astylerc $$f; \
	done
.PHONY: format

install-tree: build
	rm -rf build/install-tree
	DESTDIR=install-tree ninja -C build install
	tree build/install-tree
.PHONY: install-tree

=== meson_options.txt ===
option('version-tag', type : 'string',
       description : 'override the git version string')

option('openssl', type : 'boolean', value : true,
       description : 'enable openssl support')

=== debian/changelog ===
systemd-netlogd (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4

  * d/copyright: bump years
  * d/patches: cherry-pick 32-bit fix (Closes: #1095635)

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 16 Feb 2025 19:17:23 +0100

=== debian/control ===
Source: systemd-netlogd
Section: admin
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Christian Göttsche <cgzones@googlemail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gperf,
 libcap-dev,
 libssl-dev,
 libsystemd-dev,
 meson,
 pkgconf,
 python3-sphinx,
Standards-Version: 4.7.0
Homepage: https://github.com/systemd/systemd-netlogd
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-netlogd
Vcs-Git: https://salsa.debian.org/systemd-team/systemd-netlogd.git

Package: systemd-netlogd
Architecture: any
Multi-Arch: foreign
Depends:
 systemd,
 ${misc:Depends},
 ${shlibs:Depends},
Description: journal message forwarder
 Forwards messages from the journal to other hosts over the network using the
 Syslog Protocol (RFC 5424 and RFC 3339). It can be configured to send
 messages to both unicast and multicast addresses. systemd-netlogd runs with
 own user systemd-journal-netlog. Starts sending logs when network is up and
 stops sending as soon as network is down (uses sd-network). It reads from
 journal and forwards to network one by one. It does not use any extra disk
 space. systemd-netlogd supports UDP, TCP, TLS and DTLS (Datagram Transport
 Layer Security RFC 6012).

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr/lib/systemd --sysconfdir=/etc/systemd

# the below step is automatic with debhelper >= 14
execute_after_dh_install:
	dh_installsysusers

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/systemd/systemd-netlogd/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## systemd-netlogd 1.4.5

=== debian/changelog ===
systemd-netlogd (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5

  * d/patches:
    - drop upstream applied patch
    - cherry-pick upstream patch to bump version
    - cherry-pick upstream man page fix
  * d/control:
    - drop Rules-Requires-Root field
    - bump to std version 4.7.3 (no further changes)
    - drop priority field
  * d/copyright: bump year
  * d/watch: rewrite in version 5

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 01 Feb 2026 20:21:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: systemd-netlogd
 Section: admin
-Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Christian Göttsche <cgzones@googlemail.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  gperf,
@@ -13,7 +11,7 @@
  meson,
  pkgconf,
  python3-sphinx,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/systemd/systemd-netlogd
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-netlogd
 Vcs-Git: https://salsa.debian.org/systemd-team/systemd-netlogd.git

=== debian/watch ===
Version: 5
Template: Github
Owner: systemd
Project: systemd-netlogd
